## Index

### Functions

- fontMixin
- getGradientCSSBackground
- getGradientWithOverlay
- getHighlightGradient
- getOpacityGradient
- roundedBackground

### Object literals

- theme

## Functions

### Const fontMixin

- fontMixin(size: CSS.FontSizeProperty<number>, weight?: CSS.FontWeightProperty): object

- - Defined in jss/index.ts:56

  fontMixin

  #### Parameters

  - ##### size: CSS.FontSizeProperty<number>

    size of the font

  - ##### Default value weight: CSS.FontWeightProperty = "normal"

    weight of the font

  #### Returns object

  the corresponding fonts CSS properties

  - ##### fontFamily: string

  - ##### fontSize: string | number

  - ##### fontWeight: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "bold" | "bolder" | "lighter" | "normal" | 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800 | 900

### Const getGradientCSSBackground

- getGradientCSSBackground(themeColors: string[]): string

- - Defined in jss/index.ts:10

  getGradientCSSBackground

  #### Parameters

  - ##### themeColors: string[]

    the array of colors for the current theme

  #### Returns string

  the linear-gradient CSS value that represents the theme colors gradient

### Const getGradientWithOverlay

- getGradientWithOverlay(themeColors: string[], opacity: number): string

- - Defined in jss/index.ts:42

  getGradientWithOverlay

  #### Parameters

  - ##### themeColors: string[]

    the array of colors for the current theme

  - ##### opacity: number

    opacity of the gradient

  #### Returns string

  the linear-gradient CSS value that represents an opacity gradient on top of the theme colors gradient

### Const getHighlightGradient

- getHighlightGradient(direction?: string, opacity?: number): string

- - Defined in jss/index.ts:31

  getHighlightGradient

  #### Parameters

  - ##### Default value direction: string = "to right"

    direction of the gradient

  - ##### Default value opacity: number = 0.15

    opacity of the gradient

  #### Returns string

  the linear-gradient CSS value that represents...

### Const getOpacityGradient

- getOpacityGradient(opacity: number): string

- - Defined in jss/index.ts:20

  getOpacityGradient

  #### Parameters

  - ##### opacity: number

    the opacity

  #### Returns string

  the linear-gradient CSS value that represents the opacity gradient

### Const roundedBackground

- roundedBackground(color?: string): object

- - Defined in jss/index.ts:229

  roundedBackground

  #### Parameters

  - ##### Default value color: string = "#eee"

    color for the background

  #### Returns object

  the corresponding CSS properties

  - ##### backgroundColor: string

  - ##### borderRadius: string

## Object literals

### Const theme

theme: object

- Defined in jss/index.ts:64

### $appSize

$appSize: string = "50px"

- Defined in jss/index.ts:162

### $bodyBkg

$bodyBkg: string = "#fff"

- Defined in jss/index.ts:160

### $borderRadius

$borderRadius: string = "4px"

- Defined in jss/index.ts:142

### $gutter

$gutter: string = "10px"

- Defined in jss/index.ts:141

### $imPath

$imPath: string = "../../static/"

- Defined in jss/index.ts:143

### $osbarHeight

$osbarHeight: string = "30px"

- Defined in jss/index.ts:161

### $red

$red: string = "#FF5F5C"

- Defined in jss/index.ts:146

### $zIndexHuge

$zIndexHuge: number = 4

- Defined in jss/index.ts:153

### $zIndexLarge

$zIndexLarge: number = 3

- Defined in jss/index.ts:154

### $zIndexMedium

$zIndexMedium: number = 2

- Defined in jss/index.ts:155

### $zIndexMega

$zIndexMega: number = 9

- Defined in jss/index.ts:152

### $zIndexNull

$zIndexNull: number = 0

- Defined in jss/index.ts:157

### $zIndexSmall

$zIndexSmall: number = 1

- Defined in jss/index.ts:156

### $zIndexSupra

$zIndexSupra: number = 100

- Defined in jss/index.ts:150

### $zIndexUltra

$zIndexUltra: number = 10

- Defined in jss/index.ts:151

### $zindexUltime

$zindexUltime: number = 1000

- Defined in jss/index.ts:149

### fontMixin

fontMixin: fontMixin

- Defined in jss/index.ts:195

### avatarMixin

- avatarMixin(value: string, radius?: string): object

- - Defined in jss/index.ts:171

  avatarMixin

  #### Parameters

  - ##### value: string

    the width and height value

  - ##### Default value radius: string = value

    the border radius value

  #### Returns object

  the corresponding CSS properties

  - ##### backgroundClip: string

  - ##### borderRadius: string

  - ##### height: string

  - ##### width: string

### covererMixin

- covererMixin(bottom?: number, left?: number, right?: number, top?: number): object

- - Defined in jss/index.ts:187

  covererMixin

  #### Parameters

  - ##### Default value bottom: number = 0

    value of the bottom property

  - ##### Default value left: number = 0

    value of the left property

  - ##### Default value right: number = 0

    value of the right property

  - ##### Default value top: number = 0

    value of the top property

  #### Returns object

  the corresponding CSS properties

  - ##### bottom: number

  - ##### left: number

  - ##### position: string

  - ##### right: number

  - ##### top: number

### elipsisMixin

- elipsisMixin(lineClamp?: number): object

- - Defined in jss/index.ts:204

  elipsisMixin

  #### Parameters

  - ##### Default value lineClamp: number = 2

    value of the line-clamp property

  #### Returns object

  the corresponding CSS properties

  - ##### -webkit-box-orient: string

  - ##### -webkit-line-clamp: number

  - ##### display: string

  - ##### overflow: string

  - ##### textOverflow: string

### mixinDarkenColor

- mixinDarkenColor(color: string, ratio?: number): string

- - Defined in jss/index.ts:219

  mixinDarkenColor

  #### Parameters

  - ##### color: string

    the corresponding color

  - ##### Default value ratio: number = 0.3

    the ratio to daren the color

  #### Returns string

  - the color darkened by the ratio

### colors

colors: object

- Defined in jss/index.ts:65

### black

black: string = "#292929"

- Defined in jss/index.ts:75

### error

error: string = "#FF8686"

- Defined in jss/index.ts:76

### flatRed

flatRed: object

- Defined in jss/index.ts:71

### dark

dark: string = "#B83636"

- Defined in jss/index.ts:73

### middle

middle: string = "#e75858"

- Defined in jss/index.ts:72

### gray

gray: object

- Defined in jss/index.ts:66

### dark

dark: string = "#292929"

- Defined in jss/index.ts:69

### light

light: string = "#F4F4F4"

- Defined in jss/index.ts:67

### middle

middle: string = "#949494"

- Defined in jss/index.ts:68

### dock

dock: object

- Defined in jss/index.ts:133

### size

size: number = 50

- Defined in jss/index.ts:134

### icons

icons: object

- Defined in jss/index.ts:94

### color

color: object

- Defined in jss/index.ts:95

### base

base: string = "#FFF"

- Defined in jss/index.ts:96

### mixins

mixins: object

- Defined in jss/index.ts:99

### ellipsis

- ellipsis(nbLines?: number): object

- - Defined in jss/index.ts:100

  #### Parameters

  - ##### Default value nbLines: number = 2

  #### Returns object

  - ##### -webkit-box-orient: string

  - ##### -webkit-line-clamp: number

  - ##### display: string

  - ##### overflow: string

  - ##### textOverflow: string

  - ##### wordBreak: string

### position

- position(position: undefined | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky", top?: number | string, left?: number | string, bottom?: number | string, right?: number | string): object

- - Defined in jss/index.ts:119

  #### Parameters

  - ##### position: undefined | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky"

  - ##### Optional top: number | string

  - ##### Optional left: number | string

  - ##### Optional bottom: number | string

  - ##### Optional right: number | string

  #### Returns object

  - ##### bottom: undefined | string | number

  - ##### left: undefined | string | number

  - ##### position: undefined | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky"

  - ##### right: undefined | string | number

  - ##### top: undefined | string | number

### size

- size(size: number | string): object

- - Defined in jss/index.ts:115

  #### Parameters

  - ##### size: number | string

  #### Returns object

  - ##### height: string | number

  - ##### width: string | number

### flexbox

flexbox: object

- Defined in jss/index.ts:108

### containerCenter

containerCenter: object

- Defined in jss/index.ts:109

### alignItems

alignItems: string = "center"

- Defined in jss/index.ts:112

### display

display: string = "flex"

- Defined in jss/index.ts:110

### justifyContent

justifyContent: string = "center"

- Defined in jss/index.ts:111

### rightDock

rightDock: object

- Defined in jss/index.ts:136

### size

size: number = 50

- Defined in jss/index.ts:137

### titles

titles: object

- Defined in jss/index.ts:78

### h1

h1: object

- Defined in jss/index.ts:79

### lineHeight

lineHeight: string = "1.3em"

- Defined in jss/index.ts:81

### marginBottom

marginBottom: number = 14

- Defined in jss/index.ts:82

### h2

h2: object

- Defined in jss/index.ts:84

### lineHeight

lineHeight: string = "31px"

- Defined in jss/index.ts:86

### h3

h3: object

- Defined in jss/index.ts:88

### letterSpacing

letterSpacing: number = -0.4

- Defined in jss/index.ts:90

### lineHeight

lineHeight: string = "1.5em"

- Defined in jss/index.ts:91

Generated using TypeDoc